---
_import: ../_global.yaml
_overrider:
    pruner:
        type: mayo.override.DynamicNetworkSurgeryPruner
        should_update: false
        _priority: 100
    weights:
        dns: $(_overrider.pruner)
        shift:
            type: mayo.override.IncrementalQuantizer
            interval: 0.25
            _priority: 80
            count_zero: False
            quantizer:
                type: mayo.override.TernaryQuantizer
                should_update: true
    depthwise_weights: &dweights
        shift:
            type: mayo.override.IncrementalQuantizer
            interval: 0.25
            _priority: 80
            count_zero: False
            quantizer:
                type: mayo.override.TernaryQuantizer
                should_update: true
    biases: {<<: *dweights}
